com.saxonica.xslt3.style

## Class TextValueTemplateContext

- java.lang.Object
- - net.sf.saxon.style.ExpressionContext
  - - com.saxonica.xslt3.style.TextValueTemplateContext

- All Implemented Interfaces:
    StaticContext, XSLTStaticContext

      public class TextValueTemplateContext
      extends ExpressionContext

  Define the static context for expressions appearing between curly braces in a text value template

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextValueTemplateContext(StyleElement parent, TextValueTemplateNode textNode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `bindVariable(StructuredQName qName)` Bind a variable to an object that can be used to refer to it

    - ### Methods inherited from class net.sf.saxon.style.ExpressionContext

      `getBaseURI, getCollation, getConfiguration, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getExecutable, getFingerprint, getFunctionLibrary, getImportedSchemaNamespaces, getLineNumber, getLocationMap, getNamePool, getNamespaceResolver, getRequiredContextItemType, getStyleElement, getSystemId, getURIForPrefix, getXPathLanguageLevel, isAllowedBuiltInType, isElementAvailable, isImportedSchema, isInBackwardsCompatibleMode, isSchemaAware, issueWarning, makeEarlyEvaluationContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextValueTemplateContext

          public TextValueTemplateContext(StyleElement parent,
                                  TextValueTemplateNode textNode)

  - ### Method Detail

    - #### bindVariable

          public Expression bindVariable(StructuredQName qName)
                                  throws XPathException

      Bind a variable to an object that can be used to refer to it
      Specified by:
        `bindVariable` in interface `StaticContext`
      Overrides:
        `bindVariable` in class `ExpressionContext`
      Parameters:
        `qName` - the name of the variable
      Returns:
        a VariableDeclaration object that can be used to identify it in the Bindery,
      Throws:
        `XPathException` - if the variable has not been declared

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.